KDE 4.2 PyKDE API Reference

- KDE's Python API

# PacketPool Class Reference

`from PyKDE4.phonon import *`

Namespace: Phonon

## Detailed Description

\class PacketPool packetpool.h Phonon/PacketPool Class to preallocate memory.

Note:
  PacketPool and Packet are threadsafe.

Author:
  Matthias Kretz <kretz@kde.org>

## Methods

| __init__ (self, int packetSize, int numberOfPackets)
| __init__ (self, Phonon.PacketPool a0)
int | packetSize (self)
int | poolSize (self)
int | unusedPackets (self)

## Method Documentation

__init__ | ( | self, |
|  | int | packetSize,
|  | int | numberOfPackets
| ) |  |  |

Allocates numberOfPackets packets of packetSize bytes each. The memory can be accessed through Packet objects.

__init__ | ( | self, |
|  | Phonon.PacketPool | a0
| ) |  |  |

Copy constructor. Copying is fast since the class is explicitly shared.

int packetSize | ( |  | self ) |

Returns the packet size that was set in the constructor.

int poolSize | ( |  | self ) |

Returns the number of packets that was requested in the constructor.

int unusedPackets | ( |  | self ) |

Returns the number of packets that are still available for use.